package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * MedioPago generated by hbm2java
 */
@Entity
@Table(name="medio_pago"
    ,catalog="sistema_ventas"
)
public class MedioPago  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idmp;
     private String medio;
     private Set<FacturaEncabezado> facturaEncabezados = new HashSet<FacturaEncabezado>(0);
     private Set<Abonos> abonoses = new HashSet<Abonos>(0);

    public MedioPago() {
    }

    public MedioPago(String medio, Set<FacturaEncabezado> facturaEncabezados, Set<Abonos> abonoses) {
       this.medio = medio;
       this.facturaEncabezados = facturaEncabezados;
       this.abonoses = abonoses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idmp", unique=true, nullable=false)
    public Integer getIdmp() {
        return this.idmp;
    }
    
    public void setIdmp(Integer idmp) {
        this.idmp = idmp;
    }

    
    @Column(name="medio", length=50)
    public String getMedio() {
        return this.medio;
    }
    
    public void setMedio(String medio) {
        this.medio = medio;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="medioPago")
    public Set<FacturaEncabezado> getFacturaEncabezados() {
        return this.facturaEncabezados;
    }
    
    public void setFacturaEncabezados(Set<FacturaEncabezado> facturaEncabezados) {
        this.facturaEncabezados = facturaEncabezados;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="medioPago")
    public Set<Abonos> getAbonoses() {
        return this.abonoses;
    }
    
    public void setAbonoses(Set<Abonos> abonoses) {
        this.abonoses = abonoses;
    }




}


